Bug 24467 - X components installed on server install
X components installed on server install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-20 17:24 EST by Jeremy Katz
Modified: 2007-03-26 23:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 16:50:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-01-20 17:24:01 EST
Server install with beta2 installs XFree86-FBdev even though X wasn't
selected.  Additionally, Printer Support brought in XFree86-libs and xfs.
IMO, these don't make sense to have installed on a server install unless
specifically requested
Comment 1 Daniel Roesen 2001-01-22 06:08:54 EST
Agreed. IMHO a server install should not contain any X11 cruft at all.
Comment 2 Michael Fulbright 2001-01-26 11:37:00 EST
Matt would you please verify that a Server class install w/o the X Windows
component selected in the component selection screen does not pull in any X
packages which are avoidable?
Comment 3 Matt Wilson 2001-01-26 12:31:03 EST
ghostscript needs libX11.

don't know why fbdev would be pulled in.
Comment 4 Mike A. Harris 2001-03-01 15:26:23 EST
Ghostscript needs xfs as well for mkfontdir I believe.

Perhaps we should make mkfontdir a separate subpackage of XFree86?
I've no idea about XFree86-FBdev though.  The only thing that uses it is
the installer I believe.  It should be destroyed after our final release.
While I agree that a server install shouldn't contain any X11 cruft, this
requires taking mkfontdir out of the xfs package just for ghostscript.  Also,
xfs is a SERVER, a font server in particular, and it does have a use on a
server if someone wants to network serve fonts.  XFree86 need not be
installed for xfs to work.

As for anything requiring the X libs package on a server, many applications
that are normally ran from the commandline can autodetect they are running
in X and enable special X features.  In order for dependancies to be met for
these apps, X-libs and perhaps other stuff need to be installed.
Comment 5 Brock Organ 2001-03-19 16:50:35 EST
this is fixed in qa0319.2 ... as a side effect, minimal installs now fit on only
one cd ...

Note You need to log in before you can comment on or make changes to this bug.